# -*- coding: utf-8 -*-
##############################################################################
#    
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2010 Tiny SPRL (<http://tiny.be>).
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.     
#
##############################################################################

__name__ = "Multiple functional Administrators"

def migrate(cr, version):
    """Migrate."""
    cr.execute("""SELECT id, functional_administrator_id
               FROM hrself_universe""")
    universe = cr.fetchone()
    if universe:
        cr.execute("""INSERT INTO univ_funct_admin_rel
                   (universe_id, functional_administrator_id)
                   VALUES (%s, %s)""", (universe[0], universe[1]))
