# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2010 Tiny SPRL (<http://tiny.be>).
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################


{
    "name" : "Groupe S Human Resources Holidays management",
    "version" : "1.5.0.1",
    "author" : "OpenERP / Groupe S",
    "category" : "Generic Modules/Groupe S",
    "website" : "http://www.groups.be | http://www.openerp.com",
    "description": """Generic holidays management module for Groupe S.""",
    'depends': [
        "hrself",
    ],
    'update_xml':[
        "security/ir.model.access.csv",
        "security/leave_request_security.xml",
    ],
    'data': [
        "view/hrself_extended_view.xml",
        "view/hrself_approvement_view.xml",
        "view/hrself_holidays_type_view.xml",
        "view/hrself_holidays_view.xml",
        "view/hr_view.xml",
        'view/hr_department_view.xml',
        'view/board_hrself_view.xml',
        "view/res_user_view.xml",
        "wizard/hrself_report_wizard_view.xml",
        "wizard/hrself_initialization_wizard_view.xml",
        "wizard/hrself_workflow_wizard_view.xml",
        "workflow/hrself_holidays_workflow.xml",
        "workflow/hrself_holidays_subflow_1.xml",
        "workflow/hrself_holidays_subflow_2.xml",
        "workflow/hrself_holidays_subflow_3.xml",
        'data/hrself_holidays.yml',
        'data/hrself_email_template.yml',
    ],
    'demo': [
        'demo/hrself_holidays.yml',
        'demo/hr.yml',
    ],
    'test': [
        'test/test_hrself_holidays.yml',
        'test/test_get_leave_approver.yml',
        'test/test_groups.yml',
    ],
    'installable': True,
    'active': False,
}
# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
